framework "cocoa"
framework "foundation"

class TrackNotify
  def display_itunes_info(notification)
    info = notification.userInfo
    puts "\nStatus:\t #{info["Player State"]}"
    puts "Track:\t #{info["Artist"]} - #{info["Name"]}"
    puts "Album:\t #{info["Album"]}"
    puts "Genre:\t #{info["Genre"]}"
  end
end

NSDistributedNotificationCenter.defaultCenter.addObserver(TrackNotify.new, selector:"display_itunes_info:", name:"com.apple.iTunes.playerInfo", object:nil)
NSApplication.sharedApplication.run
