class LayersController
    attr_accessor :window
    
    def awakeFromNib
        @content_view = self.window.contentView
        @content_view.wantsLayer = true
        create_blue_box
    end
    
    def create_blue_box
        blue_box = CALayer.alloc.init
        blue_box.bounds = CGRectMake(0.0,0.0,100.0,100.0)
        blue_box.position = CGPointMake(240.0,200.0)
        blue_box.backgroundColor = CGColorCreateGenericRGB(0.0,0.0,1.0,0.75)
        blue_box.cornerRadius = 8
        blue_box.masksToBounds = true
        
        file_path = NSBundle.mainBundle.pathForResource("lolcat",ofType:"gif")
        file_url = NSURL.fileURLWithPath(file_path)
        source = CGImageSourceCreateWithURL(file_url, nil)
        image = CGImageSourceCreateImageAtIndex(source, 0, nil)
        blue_box.contents = image
        
        @content_view.layer.addSublayer(blue_box)
    end
end