#
#  Tweet.rb
#  MRTwitter
#
#  Created by Jerry Cheung on 5/8/11.
#  Copyright 2011 MacRuby in Action. All rights reserved.
#

class Tweet < NSManagedObject
  def self.latest_tweets
    context = NSApplication.sharedApplication.delegate.managedObjectContext
    tweets = []
    request = NSFetchRequest.alloc.init
    request.entity = NSEntityDescription.entityForName("Tweet", inManagedObjectContext:context)
    
    sort_desc = NSSortDescriptor.alloc.initWithKey("createdAt",  ascending:false)
    request.sortDescriptors = [sort_desc]
    
    error = Pointer.new_with_type('@')
    tweets = context.executeFetchRequest(request, error:error)
    tweets
  end
end
